/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface SemesterSessionBeanRemote {

    public void newSemester(entities.Semester sem);

    public java.util.List<entities.Semester> allSemester();

    public entities.Semester findOpen();

    public void update(entities.Semester semester);

    public java.util.List<entities.Semester> findOpenAndClosed();

    public entities.Semester findById(java.lang.Long id);

    
    
}
